/*
CONFIGURATION FILE FOR TPWCAS v4.x
*/


/////////////////////
// GENERAL VARIABLES
/////////// /////////

// 0 STARTUP HINT (TPWCAS & BDETECT). 0 = NO HINT, 1 = HINT.
tpwcas_hint = 0;

// 1 DELAY BEFORE SUPPRESSION FUNCTIONS START. ALLOWS TIME FOR OTHER MODS TO INITIALISE ETC.
tpwcas_sleep = 5;

// 2 DEBUGGING. 0 = NO DEBUGGING, 1 = DISPLAY COLOURED BALLS OVER ANY SUPPRESSED UNITS, 2 = BALLS + BDETECT LOGGING.
tpwcas_debug = 0;

////////////////////
// BULLET VARIABLES
////////////////////

// 3 BULLET IGNORE RADIUS (M). BULLETS FROM A SHOOTER CLOSER THAN THIS WILL NOT SUPPRESS.
tpwcas_ir = 20;

// 4 MAXIMUM BULLET DISTANCE (m). A BULLET FURTHER THAN THIS FROM ITS SHOOTER WILL NOT SUPPRESS. SET LARGER IF YOU PLAN ON DOING A LOT OF SNIPING - BUT MAY IMPACT PERFORMANCE.
tpwcas_maxdist = 900;

// 5 BULLET LIFETIME (sec). BULLETS STILL ALIVE THIS LONG AFTER BEING SHOT ARE IGNORED.
tpwcas_bulletlife = 1;

// 6 SHOT THRESHOLD. MORE SHOTS THAN THIS WILL CAUSE UNIT TO DROP/CRAWL.
tpwcas_st = 8;

// 7 PISTOL AND SMG AMMO TO IGNORE. ADD CUSTOM AMMO (EG SUPPRESSED) OR CHANGE TO TASTE.
tpwcas_mags[] =
	{
	"30rnd_9x19_MP5",
	"30rnd_9x19_MP5SD",
	"15Rnd_9x19_M9",
	"15Rnd_9x19_M9SD",
	"7Rnd_45ACP_1911",
	"7Rnd_45ACP_1911",
	"8Rnd_9x18_Makarov",
	"8Rnd_9x18_MakarovSD",
	"64Rnd_9x19_Bizon",
	"64Rnd_9x19_SD_Bizon",
	"13Rnd_9mm_SLP",
	"17Rnd_9x19_glock17",
	"6Rnd_45ACP",
	"30Rnd_9x19_UZI",
	"30Rnd_9x19_UZI_SD",
	"ACE_17Rnd_9x19_G17",
	"ACE_33Rnd_9x19_G18",
	"ACE_30Rnd_9x19_S_UZI",
	"ACE_20Rnd_765x17_vz61",
	"ACE_20Rnd_9x39_S_SP6_OC14",
	"ACE_20Rnd_9x39_B_SP6_OC14",
	"ACE_20Rnd_9x39_S_OC14",
	"ACE_20Rnd_9x39_B_OC14",
	"ACE_20Rnd_9x39_SP6_VSS",
	"ACE_10Rnd_9x39_SP6_VSS",
	"ACE_64Rnd_9x19_S_Bizon",
	"ACE_30Rnd_1143x23_B_M3",
	"ACE_25Rnd_1143x23_S_UMP45",
	"ACE_25Rnd_1143x23_B_UMP45",
	"ACE_30Rnd_9x19_S_MP5",
	"ACE_40Rnd_S_46x30_MP7",
	"ACE_40Rnd_B_46x30_MP7",
	"ACE_15Rnd_9x19_P8",
	"ACE_15Rnd_9x19_P226",
	"ACE_13Rnd_9x19_L9A1",
	"ACE_15Rnd_9x19_S_M9",
	"ACE_20Rnd_9x18_APSB",
	"ACE_20Rnd_9x18_APS",
	"ACE_8Rnd_762x25_B_Tokarev",
	"ACE_12Rnd_45ACP_USP",
	"ACE_12Rnd_45ACP_USPSD"
	};


/////////////////////////
// SUPPRESSION VARIABLES
/////////////////////////

// 8 AI SKILL SUPPRESSION. 0 = SKILLS WILL NOT BE CHANGED, ONLY STANCE. 1 = SKILLS AND STANCE CHANGED UNDER SUPPRESSION.
tpwcas_skillsup = 1;

// 9 MINIMUM SKILL VALUE, NONE OF A UNIT'S SKILLS WILL DROP BELOW THIS UNDER SUPPRESSION.
tpwcas_minskill = 0.15;

// 10 REVEAL VALUE WHEN SUPPRESSED. 0 = REVEAL DISABLED. <1 = SUPPRESSED UNIT KNOWS NOTHING ABOUT SHOOTER. 4 = UNIT KNOWS THE SHOOTER'S SIDE, POSITION, SHOE SIZE ETC.
//    [ 0 , 1.5 ] - side unknown, some position offset, identified as SoldierWB
//    [ 1.5, 1.6 ] - side identified, subjective cost set
//    [ 1.6, 2 ] - type identified better (USMC_Soldier_Base)
//    [ 2 , 3.6 ] - type identified precisely (USMC_Soldier)
//    [ 3.6, 4 ] - position identified precisely
tpwcas_reveal = 3.2;

// 11 UNITS CAN FLEE IF COURAGE AND MORALE TOO LOW. 0 = UNITS WILL NOT FLEE. 1 = UNITS WILL FLEE. SET TO 0 IF TOO MANY UNITS ARE FLEEING OR UNSUPPRESSABLE.
tpwcas_canflee = 0;

///////////
//TPW LOS VARIABLES
///////////

// 12 EMBEDDED TPWLOS: DISABLE = 0, ENABLE = 1
tpwcas_los_enable = 0;

// 13 MAXIMUM LOS DISTANCE (M). LOS STUFF ONLY WORKS FOR UNITS CLOSER THAN THIS.
tpwcas_los_maxdist = 90;

// 14 MINIMUM LOS DISTANCE (M). ENEMIES ARE CONSIDERED "VISIBLE" IF IN LOS, NO MATTER WHAT (CAMO, STANCE, VISIBILITY), IF LESS THAN THIS DISTANCE - EXCEPT FOR SNIPERS AND SPOTTER WITH GHILLIE SUITS
tpwcas_los_mindist = 20;

// 15 EMBEDDED TPWLOS REQUIRED MINIMAL SERVER FPS, ELSE PROCESS IS SKIPPED
tpwcas_los_minfps = 19;

// 16 EMBEDDED TPWLOS MAXIMAL KNOWSABOUT VALUE: ABOVE WILL SKIP TPWLOS FOR THIS SPECIFIC SPOTTER-TARGET COMBI
//    VALUES: SEE TPWCAS_REVEAL ABOVE
tpwcas_los_knowsabout = 2.9;
		
// 17 AI SEARCH COVER: DISABLE = 0, ENABLE = 1 
tpwcas_getcover = 1;

// 18 AI SEARCH COVER MAX DISTANCE (M). RECOMMENDED TO KEEP LOW NUMBER (5 to 12)
tpwcas_coverdist = 7;

// 19 AI SEARCH COVER REQUIRED MINIMAL SERVER FPS, ELSE PROCESS IS SKIPPED
tpwcas_getcover_minfps = 17;

// 20 PLAYER SUPPRESSION SHAKE. 0 = NO SUPPRESSION, 1 = SUPPRESSION.    
tpwcas_playershake = 1; //FORCED OFF IF RUNNING ON DEDICATED SERVER in tpwcas mode 3

// 21 PLAYER SUPPRESSION VISUALS. 0 = NO SUPPRESSION, 1 = SUPPRESSION.     
tpwcas_playervis = 1; //FORCED OFF IF RUNNING ON DEDICATED SERVER in tpwcas mode 3

// TEXT BASED DEBUG RATE (Hz). 0 = NO TEXT DEBUGGING. 5 = 5 UPDATES PER SECOND. 
//tpwcas_textdebug = 0; //FORCED OFF IF RUNNING ON DEDICATED SERVER in tpwcas mode 3 => DEPRECATED

// 22 TPWCAS MODE: if not specified will switch to '1' for SP and '3' for MP games
//    Remove '//' in front of 'tpwcas_mode'to activate the setting:
//		mode 0: forced setting to disable tpwcas completely: e.g. set tpwcas_mode = 0; in init of mission to disable. 
//		mode 1: Single Player (determined automatically in case of SP usage)
//		mode 2: Multiplayer (automatic default MP value for either locally hosted or dedicated server,
//				full funcionality in combination with required tpwcas mod client on each player pc 
//		mode 3: Dedicated server coop play mode - only player shot bullets will suppress AI local to server
//
//	DEPRECATED:	mode 4: Headless client: (experimental) special manual mode setting to enable AI suppression by player shot bullets local to HC
//	DEPRECATED:	mode 5: Manual mode to disable tpwcas completely: e.g. set tpwcas_mode = 5; in init of mission to disable. 
tpwcas_mode = 3;
